Get cache configuration
GET
/
cloud-cdn
/
distributions
/
configurations
/
cache
Get cache configuration
curl --request GET \
--url https://api.aptranet.com/cloud-cdn/distributions/configurations/cache \
--header 'Aptranet-Secret: <api-key>' \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aptranet.com/cloud-cdn/distributions/configurations/cache"
headers = {
"Authorization": "Bearer <token>",
"Aptranet-Secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Aptranet-Secret': '<api-key>'}
};
fetch('https://api.aptranet.com/cloud-cdn/distributions/configurations/cache', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aptranet.com/cloud-cdn/distributions/configurations/cache"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Aptranet-Secret", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"edge_cache": {
"enabled": true,
"controlled_by": "cdn",
"ttl": 1
},
"browser_cache": {
"enabled": true,
"controlled_by": "cdn",
"ttl": 1
},
"cache_key": {
"ignore_set_cookie": true,
"ignore_query_string": {
"enabled": true,
"configuration": "ignore_all",
"params": [
"<string>"
]
}
},
"stale": {
"enabled": true,
"codes": [
"<string>"
]
},
"slice": {
"enabled": true
},
"cache_post_requests": {
"enabled": true
},
"custom_cache_key": {
"enabled": true,
"value": "<string>"
}
}{
"error_code": "<string>",
"error": "<string>",
"error_description": "<string>",
"trace_id": "<string>"
}{
"error_code": "<string>",
"error": "<string>",
"error_description": "<string>",
"trace_id": "<string>"
}{
"error_code": "<string>",
"error": "<string>",
"error_description": "<string>",
"trace_id": "<string>"
}Authorizations
Access key beginning with APTRANET_.
Current secret paired with the access key.
Query Parameters
Distribution identifier.
Required range:
x >= 1Response
Cache configuration.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Get cache configuration
curl --request GET \
--url https://api.aptranet.com/cloud-cdn/distributions/configurations/cache \
--header 'Aptranet-Secret: <api-key>' \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aptranet.com/cloud-cdn/distributions/configurations/cache"
headers = {
"Authorization": "Bearer <token>",
"Aptranet-Secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Aptranet-Secret': '<api-key>'}
};
fetch('https://api.aptranet.com/cloud-cdn/distributions/configurations/cache', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aptranet.com/cloud-cdn/distributions/configurations/cache"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Aptranet-Secret", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"edge_cache": {
"enabled": true,
"controlled_by": "cdn",
"ttl": 1
},
"browser_cache": {
"enabled": true,
"controlled_by": "cdn",
"ttl": 1
},
"cache_key": {
"ignore_set_cookie": true,
"ignore_query_string": {
"enabled": true,
"configuration": "ignore_all",
"params": [
"<string>"
]
}
},
"stale": {
"enabled": true,
"codes": [
"<string>"
]
},
"slice": {
"enabled": true
},
"cache_post_requests": {
"enabled": true
},
"custom_cache_key": {
"enabled": true,
"value": "<string>"
}
}{
"error_code": "<string>",
"error": "<string>",
"error_description": "<string>",
"trace_id": "<string>"
}{
"error_code": "<string>",
"error": "<string>",
"error_description": "<string>",
"trace_id": "<string>"
}{
"error_code": "<string>",
"error": "<string>",
"error_description": "<string>",
"trace_id": "<string>"
}